Backfill läuft bereits

Moses SkodaEntwickler1 Min. Lesezeit

Bei diesem Problem antwortet die API mit 409 Conflict. Der Wert von type ist https://lingo.dev/docs/api/errors/backfill-running. Unter Fehler und Statuscodes findest du die gemeinsame Struktur aller Fehler.

Backfill <backfillId> läuft hier noch. Verfolge den Fortschritt und starte einen weiteren Backfill, sobald dieser abgeschlossen ist.

Felder#

Neben den Standardfeldern type, status, title und detail enthält der Antwortkörper die folgenden Felder. Aus ihnen wird der Text in detail erstellt. Ein Client kann daher stattdessen einen eigenen Text anzeigen.

FeldTyp
backfillIdstring

Beispiel#

json
{
  "detail": "Backfill <backfillId> is still running here. Follow it, and start another once it finishes.",
  "backfillId": "<backfillId>",
  "type": "https://lingo.dev/docs/api/errors/backfill-running",
  "status": 409,
  "title": "Backfill already running"
}

Zurückgegeben von#

  • POST /v2/organizations/{orgId}/github/connections/{connectionId}/import-history
  • POST /v2/organizations/{orgId}/measurements/{measurementId}/backfill
  • POST /v2/organizations/{orgId}/zendesk/connections/{connectionId}/import-history